RPM-SETUP-AUTOSIGN(1)

NAMN
rpm-setup-autosign — Ställ in automatisk signering för rpmbuild

SYNOPSIS
rpm-setup-autosign [flaggor]

BESKRIVNING
rpm-setup-autosign används för att ställa in automatisk signering från rpmbuild(1). Det genererar en användar- och värdspecifik, lösenordsfri OpenPGP-nyckel, konfigurerar rpmbuild(1) till att använda den nyckeln och exporterar den publika nyckeln (även certifikat) för import i en beständig rpm(8)-nyckelring.

Syftet med automatisk signering är att göra testningen av lokala byggen smärtfri. För distribution av paket rekommenderas det att använda ett separat signeringskonto som inte kan äventyras av ett bygge.

FLAGGOR
-p <gpg|sq>, --prog <gpg|sq>
    Ange signeringsprogrammet att använda: GnuPG eller Sequoia PGP:s sq.

KONFIGURATION
När allt går bra konfigureras ett eller flera av följande makron i användarens makrokonfigurationsfil. Se rpm-config(5) för detaljer:
•   %_openpgp_autosign_id
•   %_openpgp_sign

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

FILER
~/.config/rpm/rpmbuild-*.asc
~/.config/rpm/macros

EXEMPEL
/usr/lib/rpm/rpm-setup-autosign -p sq
    Ställ in rpmbuild(1) att automatiskt signera med Sequoia-sq.

SE ÄVEN
rpm(8) rpmsign(1) rpmbuild(1)

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.